Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.blas
Class DROTMG

    java.lang.Object
      org.netlib.blas.DROTMG

    public class DROTMG

extends java.lang.Object

    DROTMG is a simplified interface to the JLAPACK routine drotmg.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *     CONSTRUCT THE MODIFIED GIVENS TRANSFORMATION MATRIX H WHICH ZEROS

     *     THE SECOND COMPONENT OF THE 2-VECTOR  (DSQRT(DD1)*DX1,DSQRT(DD2)*

     *     DY2)**T.
     *     WITH DPARAM(1)=DFLAG, H HAS ONE OF THE FOLLOWING FORMS..
     *
     *     DFLAG=-1.D0     DFLAG=0.D0        DFLAG=1.D0     DFLAG=-2.D0
     *
     *       (DH11  DH12)    (1.D0  DH12)    (DH11  1.D0)    (1.D0  0.D0)
     *     H=(          )    (          )    (          )    (          )
     *       (DH21  DH22),   (DH21  1.D0),   (-1.D0 DH22),   (0.D0  1.D0).
     *     LOCATIONS 2-4 OF DPARAM CONTAIN DH11, DH21, DH12, AND DH22
     *     RESPECTIVELY. (VALUES OF 1.D0, -1.D0, OR 0.D0 IMPLIED BY THE
     *     VALUE OF DPARAM(1) ARE NOT STORED IN DPARAM.)
     *
     *     THE VALUES OF GAMSQ AND RGAMSQ SET IN THE DATA STATEMENT MAY BE
     *     INEXACT.  THIS IS OK AS THEY ARE ONLY USED FOR TESTING THE SIZE
     *     OF DD1 AND DD2.  ALL ACTUAL SCALING OF DATA IS DONE USING GAM.
     *
     *
     *  Arguments
     *  =========
     *
     *  DD1    (input/output) DOUBLE PRECISION
     *
     *  DD2    (input/output) DOUBLE PRECISION
     *
     *  DX1    (input/output) DOUBLE PRECISION
     *
     *  DY1    (input) DOUBLE PRECISION
     *
     *  DPARAM (input/output)  DOUBLE PRECISION array, dimension 5
     *     DPARAM(1)=DFLAG
     *     DPARAM(2)=DH11
     *     DPARAM(3)=DH21
     *     DPARAM(4)=DH12
     *     DPARAM(5)=DH22
     *
     *  =====================================================================
     *
     *     .. Local Scalars ..

Constructor Summary
`DROTMG()`

Method Summary
`static void` | `DROTMG(doubleW dd1, doubleW dd2, doubleW dx1, double dy1, double[] dparam)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DROTMG

    public DROTMG()

Method Detail

### DROTMG

    public static void DROTMG(doubleW dd1,
                              doubleW dd2,
                              doubleW dx1,
                              double dy1,
                              double[] dparam)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD